3dwannab Posted July 22, 2018 Posted July 22, 2018 Hi, Sorry for the heading, I spelt entsel all wrong. Can someone change that please. I'm selecting a closed polyine using an entsel and the using an ssget to select other objects. How do I filter out that entsel item. Like so: (setq ent_1 (car (entsel "\nPlease select something"))) Then filter it. I read in the docs you can't filter an entity (code 0). So how do I accomplish this? My feeble attempt: (while (not ent_1) (setq ss_1 (ssget '((0 . "LWPOLYLINE") (-4 . "=") (70 . 1)))) ) Quote
Lee Mac Posted July 22, 2018 Posted July 22, 2018 Since an ssget filter list cannot filter by entity name (DXF -1) or handle (DXF 5), you will need to either use ssdel to remove the ent_1 from ss_1 or exclude ent_1 when processing the set using a conditional to compare each entity/handle with that of ent_1. Quote
3dwannab Posted July 22, 2018 Author Posted July 22, 2018 Since an ssget filter list cannot filter by entity name (DXF -1) or handle (DXF 5), you will need to either use ssdel to remove the ent_1 from ss_1 or exclude ent_1 when processing the set using a conditional to compare each entity/handle with that of ent_1. Thanks. Just thought there'd be a workaround. Upon looking at this it's actually the entsel of a hatches polyline I need to exclude. I have a routine somewhere that can do this. Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.